OGRE: Ogre::AnyNumeric::numplaceholder Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::AnyNumeric::numplaceholder Class Reference

`#include <OgreAny.h>`

Inheritance diagram for Ogre::AnyNumeric::numplaceholder:

[legend]
List of all members.

## Public Member Functions

| ~numplaceholder ()
virtual placeholder * | add (placeholder *rhs)=0
virtual placeholder * | subtract (placeholder *rhs)=0
virtual placeholder * | multiply (placeholder *rhs)=0
virtual placeholder * | multiply (Real factor)=0
virtual placeholder * | divide (placeholder *rhs)=0
virtual const std::type_info & | getType () const =0
virtual placeholder * | clone () const =0
virtual void | writeToStream (std::ostream &o)=0

## Constructor & Destructor Documentation

Ogre::AnyNumeric::numplaceholder::~numplaceholder | ( |  | ) |

| Definition at line 240 of file OgreAny.h.

## Member Function Documentation

virtual placeholder* Ogre::AnyNumeric::numplaceholder::add | ( | placeholder * | rhs | ) | `[pure virtual]`

| Implemented in Ogre::AnyNumeric::numholder< ValueType >.

virtual placeholder* Ogre::Any::placeholder::clone | ( |  | ) | const`[pure virtual, inherited]`

| Implemented in Ogre::Any::holder< ValueType >, and Ogre::AnyNumeric::numholder< ValueType >. Referenced by Ogre::AnyNumeric::AnyNumeric().

virtual placeholder* Ogre::AnyNumeric::numplaceholder::divide | ( | placeholder * | rhs | ) | `[pure virtual]`

| Implemented in Ogre::AnyNumeric::numholder< ValueType >.

virtual const std::type_info& Ogre::Any::placeholder::getType | ( |  | ) | const`[pure virtual, inherited]`

| Implemented in Ogre::Any::holder< ValueType >, and Ogre::AnyNumeric::numholder< ValueType >. Referenced by Ogre::Any::getType().

virtual placeholder* Ogre::AnyNumeric::numplaceholder::multiply | ( | Real | factor | ) | `[pure virtual]`

| Implemented in Ogre::AnyNumeric::numholder< ValueType >.

virtual placeholder* Ogre::AnyNumeric::numplaceholder::multiply | ( | placeholder * | rhs | ) | `[pure virtual]`

| Implemented in Ogre::AnyNumeric::numholder< ValueType >.

virtual placeholder* Ogre::AnyNumeric::numplaceholder::subtract | ( | placeholder * | rhs | ) | `[pure virtual]`

| Implemented in Ogre::AnyNumeric::numholder< ValueType >.

virtual void Ogre::Any::placeholder::writeToStream | ( | std::ostream & | o | ) | `[pure virtual, inherited]`

| Implemented in Ogre::Any::holder< ValueType >, and Ogre::AnyNumeric::numholder< ValueType >.

The documentation for this class was generated from the following file:

- OgreAny.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:32 2008